Skip to main content
POST
/
emails
cURL
curl -X POST 'https://api.nuntly.com/emails' \
  -H 'Authorization: Bearer apk_xxx' \
  -H 'Content-Type: application/json' \
  -d '{"from":"Tomlinson AI <ray@info.tomlinson.ai>","to":"brian67@gmail.com","subject":"Verify your email address","text":"Thank you for signing up! Please verify your email address.","html":"<h1>Welcome 🎉</h1><p>Thank you for signing up! Please verify your email address.</p>","tags":[{"name":"category","value":"transactional"}]}'
{
  "data": {
    "id": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Use an API key from https://nuntly.com/dashboard/api-keys. Required on every endpoint.

Headers

Idempotency-Key
string

Unique key to ensure the request is processed at most once. UUIDv4 recommended.

Required string length: 1 - 255

Body

application/json
from
string
required

The e-mail address of the sender

Example:

"Tomlinson AI <ray@info.tomlinson.ai>"

to
required

The primary recipient(s) of the email

Example:

"brian67@gmail.com"

subject
string
required

The subject of the e-mail

Example:

"Verify your email address"

cc

The carbon copy recipient(s) of the email

Example:

"carlo43@gmail.com"

bcc

The blind carbon copy recipient(s) of the email

Example:

"archive@company.com"

replyTo

The email address where replies should be sent. If a recipient replies, the response will go to this address instead of the sender's email address

Example:

"support@company.com"

text
string

The plaintext version of the email

Example:

"Thank you for signing up! Please verify your email address."

html
string

The HTML version of the email

Example:

"<h1>Welcome 🎉</h1><p>Thank you for signing up! Please verify your email address.</p>"

headers
object

The headers to add to the email

tags
object[]

The tags to add to the email

attachments
object[]

The attachements to add to the email

variables
object

The variables for the template

scheduledAt
string

The date at which the email is scheduled to be sent

Example:

"2026-03-30T09:00:00.000Z"

Response

Request accepted.

data
object
required